找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 411|回复: 0

[每日一码] ARX 查找多段线的下一点

[复制链接]

已领礼包: 13个

财富等级: 恭喜发财

发表于 2016-10-26 08:25:00 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
static void GetNextPt(const AcDbPolyline* plMin,const bool& gotonext,const int& plIndex,AcGePoint2d& ptNextS,AcGePoint2d& ptNextE)  
{  
        int nextIndex = 0;  
        int count = plMin->numVerts();  
        if(!gotonext)  
        {  
                if(plIndex > 0)  
                {  
                        nextIndex = plIndex - 1;  
                }  
                else  
                {  
                        nextIndex = count - 1;  
                }  
        }  
        else  
        {  
                if(plIndex < count - 1)  
                {  
                        nextIndex = plIndex + 1;  
                }  
                else  
                {  
                        nextIndex = 0;  
                }  
        }  


        AcDbPolyline::SegType nextType = plMin->segType(nextIndex);  


        if(nextType == AcDbPolyline::SegType::kArc)  
        {  
                AcGeCircArc2d arc2d;  
                plMin->getArcSegAt(nextIndex,arc2d);  
                ptNextS = arc2d.startPoint();  
                ptNextE = arc2d.endPoint();  
        }  
        else  
        {  
                AcGeLineSeg2d line2d;  
                plMin->getLineSegAt(nextIndex,line2d);  
                ptNextS = line2d.startPoint();  
                ptNextE = line2d.endPoint();  
        }  


}   

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-5-6 01:42 , Processed in 0.328421 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表